DKBSignDocs

API reference

GETRequires Bearer token

Get users stamp preview

/api/users/{user}/stamp/preview

Retrieve /api/users/{user}/stamp/preview. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
user
Required
stringPath parameter user.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Binary file stream
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/users/user/stamp/preview' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "content_type": "application/pdf",
  "note": "The HTTP body is the PDF bytes, not JSON."
}